This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 999076 - mc hangs when browses encrypted zip archive
mc hangs when browses encrypted zip archive
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1053538
  Show dependency treegraph
 
Reported: 2013-08-20 13:30 EDT by Michael Petlan
Modified: 2015-06-29 08:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1053538 (view as bug list)
Environment:
Last Closed: 2015-06-29 08:17:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs from strace (26.29 KB, application/x-tar)
2014-01-15 06:44 EST, Michael Petlan
no flags Details

  None (edit)
Description Michael Petlan 2013-08-20 13:30:07 EDT
Description of problem:

When browsing a password protected zip file, midnight commander hangs.
You can see the filenames inside the zip archive, but when you try to
view any of the files packed in the protected archive, or copy it to
the another panel, mc hangs.

Version-Release number of selected component (if applicable):

GNU Midnight Commander 4.8.7
mc-4.8.7-3.fc18.x86_64

I am using the default uzip module for browsing zip archives.

How reproducible:
100%

Steps to Reproduce:
1. echo "foooooooooo" > fooo.txt
2. zip -e foo fooo.txt
enter some password
3. start mc, select the file foo.zip
4. press Enter to open the file, you'll see the content
5. select the file fooo.txt and press F3 to view it

Actual results:

Midnight commander hangs.

Expected results:

It either asks for password or does nothing.

Additional info:

It's pretty wide and old issue... --> http://www.midnight-commander.org/ticket/1685
Comment 1 Fedora End Of Life 2013-12-21 09:30:32 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Michael Petlan 2014-01-15 06:44:14 EST
Created attachment 850447 [details]
logs from strace
Comment 3 Michael Petlan 2014-01-15 06:45:04 EST
Thank you for the reminder. I am sorry, but the bug is quite old one, so it still remains, because no one fixed it. I have reproduced it now on Fedora 20, but also on RHEL 7 with mc-4.8.7-7.el7.x86_64, so it's a time to clone it for RHEL 7 and I hope that it'll get fixed.

I attach some logs from strace. Main log of all the processes and then a log created by grepping the parent process.
Comment 4 Michael Petlan 2014-01-15 06:49:58 EST
Just note: Also reproduced with version mc-4.8.11-1. I think that it is in all current versions.
Comment 5 Fedora End Of Life 2015-05-29 05:20:20 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:17:53 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.